Angular Bootstrap Accordion

Angular Accordion - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

The Angular Bootstrap accordion is a component that organizes content within collapsable items. Accordion allows only one collapsed item to be shown at the same time.

Accordions can toggle through a number of text blocks with a single click, and that greatly increases the UX of your project.

Examples of Angular Bootstrap accordion use include:

  • A FAQ page
  • Multiple items presentation
  • Data tables

Basic accordion MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
                <mdb-accordion [multiple]="false">
                  <mdb-accordion-item [collapsed]="false">
                    <mdb-accordion-item-head>Collapsible Group Item #1</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head>Collapsible Group Item #2</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head>Collapsible Group Item #3</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
                </mdb-accordion>
              
        
    

Multiple accordion MDB Pro component

Add a [multiple]="true" input to allow accordion to open many cards at the same time.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
                <mdb-accordion [multiple]="true">
                  <mdb-accordion-item [collapsed]="false">
                    <mdb-accordion-item-head>Collapsible Group Item #1</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head>Collapsible Group Item #2</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head>Collapsible Group Item #3</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
                </mdb-accordion>
              
        
    

Expanded accordion MDB Pro component

Add a [collapsed]="false" input to mdb-accordion-item to make it expanded by default.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
                <mdb-accordion>
                  <mdb-accordion-item [collapsed]="false">
                    <mdb-accordion-item-head>Collapsible Group Item #1</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head>Collapsible Group Item #2</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head>Collapsible Group Item #3</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
                </mdb-accordion>
              
        
    

Disabled accordion MDB Pro component

Add a [isDisabled]="true" input to mdb-accordion-item-head to make a specific item disabled.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
                <mdb-accordion>
                  <mdb-accordion-item [collapsed]="false">
                    <mdb-accordion-item-head [isDisabled]="true">Collapsible Group Item #1</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head [isDisabled]="true">Collapsible Group Item #2</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
  
                  <mdb-accordion-item>
                    <mdb-accordion-item-head [isDisabled]="true">Collapsible Group Item #3</mdb-accordion-item-head>
                    <mdb-accordion-item-body>
                      Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                      aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                      beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                      craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                      VHS.
                    </mdb-accordion-item-body>
                  </mdb-accordion-item>
                </mdb-accordion>
              
        
    

Collapse Accordion with method MDB Pro component

Use the toggle(collapsed: boolean) method from SBItemComponent class to toggle the collapse animation.

        
            
            <mdb-accordion [multiple]="true">
              <mdb-accordion-item [collapsed]="false">
                <mdb-accordion-item-head>Collapsible Group Item #1</mdb-accordion-item-head>
                <mdb-accordion-item-body>
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                  aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                  beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                  craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                  VHS.
                </mdb-accordion-item-body>
              </mdb-accordion-item>
              <mdb-accordion-item>
                <mdb-accordion-item-head>Collapsible Group Item #2</mdb-accordion-item-head>
                <mdb-accordion-item-body>
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                  aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                  beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                  craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                  VHS.
                </mdb-accordion-item-body>
              </mdb-accordion-item>
              <mdb-accordion-item>
                <mdb-accordion-item-head>Collapsible Group Item #3</mdb-accordion-item-head>
                <mdb-accordion-item-body>
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                  aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                  beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                  craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                  VHS.
                </mdb-accordion-item-body>
              </mdb-accordion-item>
            </mdb-accordion>
            <button mdbBtn color="primary" mdbWavesEffect (click)="collapse(collapsed = !collapsed)">Collapse Accordion</button>
          
        
    
        
            
            import {Component, QueryList, ViewChildren} from '@angular/core';
            import {SBItemComponent} from 'ng-uikit-pro-standard';
  
            @Component({
              selector: 'toggle-collapse',
              templateUrl: './toggle-collapse.component.html',
              styleUrls: ['./toggle-collapse.component.scss'],
            })
            export class ToggleCollapseComponent {
              @ViewChildren(SBItemComponent) collapses!: QueryList<SBItemComponent>[];
  
              collapsed = false;
  
              collapse(collapsed: boolean) {
                this.collapses.forEach((el: any) => {
                  el.toggle(collapsed);
                });
              }
            }
          
        
    

Accordion animation state change MDB Pro component

Use the (animationStateChange) event from the SBItemBodyComponent class to listen to an animation state change.

        
            
            <mdb-accordion [multiple]="false">
              <mdb-accordion-item [collapsed]="true">
                <mdb-accordion-item-head>Collapsible Group Item #1</mdb-accordion-item-head>
                <mdb-accordion-item-body (animationStateChange)="onAnimationStateChange($event)">
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                  aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                  beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                  craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                  VHS.
                </mdb-accordion-item-body>
              </mdb-accordion-item>
              <mdb-accordion-item>
                <mdb-accordion-item-head>Collapsible Group Item #2</mdb-accordion-item-head>
                <mdb-accordion-item-body (animationStateChange)="onAnimationStateChange($event)">
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                  aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                  beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                  craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                  VHS.
                </mdb-accordion-item-body>
              </mdb-accordion-item>
              <mdb-accordion-item>
                <mdb-accordion-item-head>Collapsible Group Item #3</mdb-accordion-item-head>
                <mdb-accordion-item-body (animationStateChange)="onAnimationStateChange($event)">
                  Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                  aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                  beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                  craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                  VHS.
                </mdb-accordion-item-body>
              </mdb-accordion-item>
            </mdb-accordion>
          
        
    
        
            
            import {Component} from '@angular/core';
  
            @Component({
              selector: 'animation-state',
              templateUrl: './animation-state.component.html',
              styleUrls: ['./animation-state.component.scss'],
            })
            export class AnimationStateComponent {
              onAnimationStateChange(state: any) {
                console.log(state);
              }
            }
          
        
    

Angular Accordion - API

In this section you will find informations about required modules and available inputs, outputs, methods and events of accordion component.


Modules used

In order to speed up your application, you can choose to import only the modules you actually need, instead of importing the entire MDB Angular library. Remember that importing the entire library, and immediately afterwards a specific module, is bad practice, and can cause application errors.

        
            
          import { AccordionModule, WavesModule } from 'ng-uikit-pro-standard'
        
        
    
        
            
          import { CollapseModule, WavesModule } from 'angular-bootstrap-md'
        
        
    

Components

MdbAccordion

Selector: mdb-accordion

Type: SqueezeBoxComponent

MdbAccordionItem

Selector: mdb-accordion-item

Type: SBItemComponent

MdbAccordionItemHead

Selector: mdb-accordion-item-head

Type: SBItemHeadComponent

MdbAccordionItemBody

Selector: mdb-accordion-item-body

Type: SBItemBodyComponent


Inputs

MdbAccordion
Name Type Default Description Example
multiple boolean true Specifies wheter many accordion items can be opened in the same time [multiple]="false"
autoExpand boolean true Specifies wheter accordion items should be auto expanded when routerLink attached to the item is the same as active route (use only for accordion that is inside sidenav component) [autoExpand]="false"
MdbAccordionItem
Name Type Default Description Example
collapsed boolean true Specifies wheter accordion item is collapsed or expanded [collapsed]="false"
customClass string - Allow to add custom styles to component [customClass]="'class-1 class-2'"
MdbAccordionItemHead
Name Type Default Description Example
customClass string - Allow to add custom styles to component [customClass]="'class-1 class-2'"
indicator boolean true Specifies wheter arrow indicator is visible [indicator]="false"
isDisabled boolean false Allow to disable accordion item [isDisabled]="true"
MdbAccordionItemBody
Name Type Default Description Example
customClass string - Allow to add custom styles to component [customClass]="'class-1 class-2'"

Methods

MdbAccordionItem

Selector: mdb-accordion-item

Type: SBItemComponent

Name Description
toggle(collapsed: boolean) Toggle the collapse animation.
applyToggle(collapsed: boolean) Toggle the collapse animation (use when [multiple]="false").

Events

MdbAccordionItemBody
Name Type Description Example
animationStateChange <{state: string, accordionEl: ElementRef}> The event is fired when accordion animation is end (the state is changed). (animationStateChange)="onAnimationStateChange($event)"

Angular Accordion - examples & customization


Accordion with gradient background MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

        
            
          <div class="row d-flex justify-content-center purple-gradient">
            <div class="col-md-10 col-xl-6 py-5">
              <mdb-accordion [multiple]="false">
                <mdb-accordion-item [collapsed]="false" [customClass]="'bg-transparent border-0'">
                  <mdb-accordion-item-head [customClass]="'border-0 rgba-stylish-strong z-depth-1 white-text'">#1
                  </mdb-accordion-item-head>
                  <mdb-accordion-item-body [customClass]="'rgba-grey-light white-text'">
                    <p class="py-3">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Qui, veniam ducimus, quasi
                      repudiandae animi temporibus
                      sit modi sunt perspiciatis eius cumque, tempore dolore voluptatem molestias facilis? Molestiae cum
                      quis dicta.</p>
                  </mdb-accordion-item-body>
                </mdb-accordion-item>

                <mdb-accordion-item [customClass]="'bg-transparent border-0'">
                  <mdb-accordion-item-head [customClass]="'border-0 rgba-stylish-strong z-depth-1 white-text'">#2
                  </mdb-accordion-item-head>
                  <mdb-accordion-item-body [customClass]="'rgba-grey-light white-text'">
                    <p class="py-3">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Qui, veniam ducimus, quasi
                      repudiandae animi temporibus
                      sit modi sunt perspiciatis eius cumque, tempore dolore voluptatem molestias facilis? Molestiae cum
                      quis dicta.</p>
                  </mdb-accordion-item-body>
                </mdb-accordion-item>

                <mdb-accordion-item [customClass]="'bg-transparent border-0'">
                  <mdb-accordion-item-head [customClass]="'border-0 rgba-stylish-strong z-depth-1 white-text'">#3
                  </mdb-accordion-item-head>
                  <mdb-accordion-item-body [customClass]="'rgba-grey-light white-text'">
                    <p class="py-3">Lorem ipsum, dolor sit amet consectetur adipisicing elit. Qui, veniam ducimus, quasi
                      repudiandae animi temporibus
                      sit modi sunt perspiciatis eius cumque, tempore dolore voluptatem molestias facilis? Molestiae cum
                      quis dicta.</p>
                  </mdb-accordion-item-body>
                </mdb-accordion-item>
              </mdb-accordion>
            </div>
          </div>
        
        
    

Accordion without arrow indicator MDB Pro component

Add [indicator]="false" input to mdb-accordion-item-head to remove arrow indicator from accordion heading.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
          <mdb-accordion>
            <mdb-accordion-item>
              <mdb-accordion-item-head [indicator]="false">Collapsible Group Item #1</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf
                moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon
                tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh
                helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head [indicator]="false">Collapsible Group Item #2</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf
                moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon
                tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh
                helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head [indicator]="false">Collapsible Group Item #3</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf
                moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon
                tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh
                helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>
          </mdb-accordion>
        
        
    

Accordion with picture MDB Pro component

Hi! I am the first one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

Hi! I am the second one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

Hi! I am the third one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

        
            
          <mdb-accordion>
            <mdb-accordion-item [collapsed]="false" [customClass]="'border-0'">
              <mdb-accordion-item-head [customClass]="'blue lighten-3 z-depth-1 white-text text-uppercase'">First accordion item</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                <div class="row my-4">
                  <div class="col-md-8">
                    <h2 class="font-weight-bold mb-3 black-text">Hi! I am the first one.</h2>
                    <p class="">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
                      magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris</p>
                    <p class="mb-0">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                  </div>
                  <div class="col-md-4 mt-3 pt-2">
                    <div class="view z-depth-1">
                      <img src="https://mdbootstrap.com/img/Photos/Others/nature.webp" alt="" class="img-fluid">
                    </div>
                  </div>
                </div>
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item [customClass]="'border-0'">
              <mdb-accordion-item-head [customClass]="'blue lighten-3 z-depth-1 white-text text-uppercase'">Second accordion item</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                <div class="row my-4">
                  <div class="col-md-8">
                    <h2 class="font-weight-bold mb-3 black-text">Hi! I am the second one.</h2>
                    <p class="">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
                      magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris</p>
                    <p class="mb-0">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                  </div>
                  <div class="col-md-4 mt-3 pt-2">
                    <div class="view z-depth-1">
                      <img src="https://mdbootstrap.com/img/Photos/Others/nature.webp" alt="" class="img-fluid">
                    </div>
                  </div>
                </div>
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item [customClass]="'border-0'">
              <mdb-accordion-item-head [customClass]="'blue lighten-3 z-depth-1 white-text text-uppercase'">Third accordion item</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                <div class="row my-4">
                  <div class="col-md-8">
                    <h2 class="font-weight-bold mb-3 black-text">Hi! I am the third one.</h2>
                    <p class="">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore
                      magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris</p>
                    <p class="mb-0">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                  </div>
                  <div class="col-md-4 mt-3 pt-2">
                    <div class="view z-depth-1">
                      <img src="https://mdbootstrap.com/img/Photos/Others/nature.webp" alt="" class="img-fluid">
                    </div>
                  </div>
                </div>
              </mdb-accordion-item-body>
            </mdb-accordion-item>
          </mdb-accordion>
        
        
    

Accordion with icons MDB Pro component

Hello my friends, I am the nicest accordion!


Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

        
            
          <mdb-accordion>
            <ul class="list-unstyled d-flex justify-content-center pt-5 red-text">
                <li><i class="fas fa-anchor mr-3 fa-2x" aria-hidden="true"></i></li>
                <li><i class="far fa-life-ring mr-3 fa-2x" aria-hidden="true"></i></li>
                <li><i class="far fa-star fa-2x" aria-hidden="true"></i></li>
            </ul>

            <h2 class="text-center text-uppercase red-text py-4 px-3">Hello my friends, I am the nicest accordion!</h2>

            <hr class="mb-0">
            <mdb-accordion-item [collapsed]="false">
              <mdb-accordion-item-head [customClass]="'red-text'">How awesome accordion I am?</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head [customClass]="'red-text'">You're the greatest accordion!</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head [customClass]="'red-text'">Thank you my dear!</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>
          </mdb-accordion>
        
        
    

Accordion with teal cards MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

        
            
          <mdb-accordion>
            <mdb-accordion-item [collapsed]="false" [customClass]="'border-0'">
              <mdb-accordion-item-head [indicator]="false" [customClass]="'text-center text-uppercase black-text teal lighten-4 z-depth-1'">
                First title
              </mdb-accordion-item-head>
              <mdb-accordion-item-body [customClass]="'rgba-teal-strong white-text'">
                <p class="py-2">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia
                  aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor,
                  sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica,
                  craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
                  occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus
                  labore sustainable VHS.
                </p>
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item [customClass]="'border-0'">
              <mdb-accordion-item-head [indicator]="false" [customClass]="'text-center text-uppercase black-text teal lighten-3 z-depth-1'">
                Second title
              </mdb-accordion-item-head>
              <mdb-accordion-item-body [customClass]="'rgba-teal-strong white-text'">
                <p class="py-2">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia
                  aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor,
                  sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica,
                  craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
                  occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus
                  labore sustainable VHS.
                </p>
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item [customClass]="'border-0'">
              <mdb-accordion-item-head [indicator]="false" [customClass]="'text-center text-uppercase black-text teal lighten-2 z-depth-1'">
                Third title
              </mdb-accordion-item-head>
              <mdb-accordion-item-body [customClass]="'rgba-teal-strong white-text'">
                <p class="py-2">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia
                  aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor,
                  sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica,
                  craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
                  occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus
                  labore sustainable VHS.
                </p>
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item [customClass]="'border-0'">
              <mdb-accordion-item-head [indicator]="false" [customClass]="'text-center text-uppercase black-text teal lighten-1 z-depth-1'">
                Fourth title
              </mdb-accordion-item-head>
              <mdb-accordion-item-body [customClass]="'rgba-teal-strong white-text'">
                <p class="py-2">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia
                  aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor,
                  sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica,
                  craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
                  occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus
                  labore sustainable VHS.
                </p>
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item [customClass]="'border-0'">
              <mdb-accordion-item-head [indicator]="false" [customClass]="'text-center text-uppercase black-text teal z-depth-1'">
                Fifth title
              </mdb-accordion-item-head>
              <mdb-accordion-item-body [customClass]="'rgba-teal-strong white-text'">
                <p class="py-2">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia
                  aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor,
                  sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica,
                  craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings
                  occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus
                  labore sustainable VHS.
                </p>
              </mdb-accordion-item-body>
            </mdb-accordion-item>
          </mdb-accordion>
        
        
    

Accordion with a table MDB Pro component

Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
        
            
          <mdb-accordion>
            <mdb-accordion-item>
              <mdb-accordion-item-head [customClass]="'blue-text'">Folder 1</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                <!--Top Table UI-->
                <div class="table-ui p-2 mb-3 mx-3 mb-4">

                  <!--Grid row-->
                  <div class="row">

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-12">

                      <!--Name-->
                      <mdb-select [options]="optionsSelect1" placeholder="Bulk actions" class="colorful-select dropdown-primary"></mdb-select>

                    </div>
                    <!--Grid column-->

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-6">

                      <!--Blue select-->
                      <mdb-select [options]="optionsSelect2" placeholder="Show only" class="colorful-select dropdown-primary"></mdb-select>
                      <!--/Blue select-->

                    </div>
                    <!--Grid column-->

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-6">

                      <!--Blue select-->
                      <mdb-select [options]="optionsSelect3" placeholder="Filter" class="colorful-select dropdown-primary"></mdb-select>
                      <!--/Blue select-->

                    </div>
                    <!--Grid column-->

                  </div>
                  <!--Grid row-->

                </div>
                <!--Top Table UI-->

                <!-- Table responsive wrapper -->
                <div class="table-responsive mx-3">
                  <!--Table-->
                  <table class="table table-hover mb-0">

                    <!--Table head-->
                    <thead>
                      <tr>
                        <th>
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <th class="th-lg">
                          <a>Name
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th class="th-lg">
                          <a>Condition
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th class="th-lg">
                          <a>Last edited
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th></th>
                      </tr>
                    </thead>
                    <!--Table head-->

                    <!--Table body-->
                    <tbody>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Test subscription</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>12.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Product Hunt Visitor</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>13.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Test subscription</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>12.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                    </tbody>
                    <!--Table body-->
                  </table>
                  <!--Table-->
                </div>
                <!-- Table responsive wrapper -->
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head [customClass]="'blue-text'">Folder 2</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                <!--Top Table UI-->
                <div class="table-ui p-2 mb-3 mx-3 mb-4">

                  <!--Grid row-->
                  <div class="row">

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-12">

                      <!--Name-->
                      <mdb-select [options]="optionsSelect1" placeholder="Bulk actions" class="colorful-select dropdown-primary"></mdb-select>

                    </div>
                    <!--Grid column-->

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-6">

                      <!--Blue select-->
                      <mdb-select [options]="optionsSelect2" placeholder="Show only" class="colorful-select dropdown-primary"></mdb-select>
                      <!--/Blue select-->

                    </div>
                    <!--Grid column-->

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-6">

                      <!--Blue select-->
                      <mdb-select [options]="optionsSelect3" placeholder="Filter" class="colorful-select dropdown-primary"></mdb-select>
                      <!--/Blue select-->

                    </div>
                    <!--Grid column-->

                  </div>
                  <!--Grid row-->

                </div>
                <!--Top Table UI-->

                <!-- Table responsive wrapper -->
                <div class="table-responsive mx-3">
                  <!--Table-->
                  <table class="table table-hover mb-0">

                    <!--Table head-->
                    <thead>
                      <tr>
                        <th>
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <th class="th-lg">
                          <a>Name
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th class="th-lg">
                          <a>Condition
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th class="th-lg">
                          <a>Last edited
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th></th>
                      </tr>
                    </thead>
                    <!--Table head-->

                    <!--Table body-->
                    <tbody>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Test subscription</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>12.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Product Hunt Visitor</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>13.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Test subscription</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>12.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                    </tbody>
                    <!--Table body-->
                  </table>
                  <!--Table-->
                </div>
                <!-- Table responsive wrapper -->
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head [customClass]="'blue-text'">Folder 3</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                <!--Top Table UI-->
                <div class="table-ui p-2 mb-3 mx-3 mb-4">

                  <!--Grid row-->
                  <div class="row">

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-12">

                      <!--Name-->
                      <mdb-select [options]="optionsSelect1" placeholder="Bulk actions" class="colorful-select dropdown-primary"></mdb-select>

                    </div>
                    <!--Grid column-->

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-6">

                      <!--Blue select-->
                      <mdb-select [options]="optionsSelect2" placeholder="Show only" class="colorful-select dropdown-primary"></mdb-select>
                      <!--/Blue select-->

                    </div>
                    <!--Grid column-->

                    <!--Grid column-->
                    <div class="col-xl-4 col-lg-6 col-md-6">

                      <!--Blue select-->
                      <mdb-select [options]="optionsSelect3" placeholder="Filter" class="colorful-select dropdown-primary"></mdb-select>
                      <!--/Blue select-->

                    </div>
                    <!--Grid column-->

                  </div>
                  <!--Grid row-->

                </div>
                <!--Top Table UI-->

                <!-- Table responsive wrapper -->
                <div class="table-responsive mx-3">
                  <!--Table-->
                  <table class="table table-hover mb-0">

                    <!--Table head-->
                    <thead>
                      <tr>
                        <th>
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <th class="th-lg">
                          <a>Name
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th class="th-lg">
                          <a>Condition
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th class="th-lg">
                          <a>Last edited
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                        </th>
                        <th></th>
                      </tr>
                    </thead>
                    <!--Table head-->

                    <!--Table body-->
                    <tbody>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Test subscription</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>12.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Product Hunt Visitor</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>13.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                      <tr>
                        <th scope="row">
                          <mdb-checkbox></mdb-checkbox>
                        </th>
                        <td>Test subscription</td>
                        <td>
                        Scroll % equals or greater than
                          <strong>80</strong>
                        </td>
                        <td>12.06.2017</td>
                        <td>
                          <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="Tooltip on top"></i>
                          </a>
                          <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                          <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                        </td>
                      </tr>
                    </tbody>
                    <!--Table body-->
                  </table>
                  <!--Table-->
                </div>
                <!-- Table responsive wrapper -->
              </mdb-accordion-item-body>
            </mdb-accordion-item>
          </mdb-accordion>
        
        
    
        
            
          import { Component } from '@angular/core';

          @Component({
            selector: 'accordion-table',
            templateUrl: './accordion-table.html'
          })
          export class AccordionTableComponent {
            optionsSelect1 = [
              { value: '1', label: 'Delete' },
              { value: '2', label: 'Change folder' }
            ];

            optionsSelect2 = [
              { value: '1', label: 'All (2000)' },
              { value: '2', label: 'Click (200)' },
              { value: '2', label: 'Page (1800)' },
              { value: '2', label: 'Scroll (200)' },
              { value: '2', label: 'Forms (50)' },
              { value: '2', label: 'Time (50)' },
              { value: '2', label: 'UTM (50)' }
            ];

            optionsSelect3 = [
              { value: '1', label: 'All (100)' },
              { value: '2', label: 'Active (2000)' },
              { value: '2', label: 'Inactive (1000)' }
            ];
          }
        
        
    

Changing icon MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
          <mdb-accordion [multiple]="true">
            <mdb-accordion-item [collapsed]="false">
              <mdb-accordion-item-head>Collapsible Group Item #1</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head>Collapsible Group Item #2</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>

            <mdb-accordion-item>
              <mdb-accordion-item-head>Collapsible Group Item #3</mdb-accordion-item-head>
              <mdb-accordion-item-body>
                Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat
                craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable
                VHS.
              </mdb-accordion-item-body>
            </mdb-accordion-item>
          </mdb-accordion>
        
        
    
        
            
          mdb-accordion .mdb-accordion-indicator::after {
            font-family: "Font Awesome 5 Free";
            content: "\f095";
            font-weight: 900;
            transform: unset;
            border: 0;
          }

Vue Bootstrap accordion

Vue Accordion - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

Vue Bootstrap accordion is a component which organizes content within collapsable items. Accordion allows showing only one collapsed item at the same time.

Accordions can toggle through a number of text blocks with a single click, and that greatly increases the UX of your project.

Examples of Bootstrap Accordion use:

  • FAQ page
  • Multiple items presentation
  • Data tables

Default Accordion

Default styling for Bootstrap Accordion component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.
        
            
      <template>
        <accordion :panes="panes" />
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accordion,
          },
          data() {
            return {
              panes: [{
                  title: 'Collapsible Group Item #1',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid.
                                3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
                                Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                                Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                                Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable.`
                }, {
                  title: 'Collapsible Group Item #2',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid.
                                3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
                                Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                                Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                                Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable.`
                },
                {
                  title: 'Collapsible Group Item #3',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid.
                                3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod.
                                Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                                Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                                Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable.`
                }
              ]
            };
          }
        }
      </script>
      
        
    

Material Accordion MDB Pro component

Material Design styling for Bootstrap Accordion component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
      <template>
        <accordion :panes="panes" material></accordion>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accodion
          },
          data() {
            return {
              panes: [{
                  title: 'Collapsible Group Item #1',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.`
                }, {
                  title: 'Collapsible Group Item #2',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.`
                },
                {
                  title: 'Collapsible Group Item #3',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.`
                }
              ]
            }
          }
        }
      </script>
      
        
    

Vue Accordion - examples & customization

Accordion with gradient background MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

        
            
      <template>
        <row center class="accordion-gradient-bcg">
          <column md="10" xl="6" class="py-5">
            <accordion :panes="panes" gradient></accordion>
          </column>
        </row>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion,
          Row,
          Column
        } from 'mdbvue';
        export default {
          components: {
            Accodion,
            Row,
            Column
          },
          data() {
            return {
              panes: [{
                  title: '#1',
                  content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.`
                },
                {
                  title: '#2',
                  content: `Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                            Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat.
                            Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.
                            Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.`
                },
                {
                  title: '#3',
                  content: `Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam,
                            eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo.
                            Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt.
                            Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit,
                            sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.`
                }
              ],
            }
          }
        }
      </script>
      
        
    

Accordion with a picture MDB Pro component

Hi! I am the first one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

Hi! I am the second one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

Hi! I am the third one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

        
            
      <template>
        <accordion :panes="panes" picture></accordion>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accodion
          },
          data() {
            return {
              panesPicture: [{
                title: 'I am the first title of accordion',
                content: `<div class="row my-4">
                              <div class="col-md-8">
                                  <h3 class="font-weight-bold mb-3 black-text">Hi! I am the first one.</h3>
                                  <p class="">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                                    Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris</p>
                                  <p class="mb-0">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                              </div>
                              <div class="col-md-4 mt-3 pt-2">
                                  <div class="view z-depth-1">
                                      <img src="https://mdbootstrap.com/img/Photos/Others/nature.jpeg" alt="" class="img-fluid">
                                  </div>
                              </div>
                          </div>`
              }, {
                title: 'I am the second title of accordion',
                content: `<div class="row my-4">
                              <div class="col-md-8">
                                  <h3 class="font-weight-bold mb-3 black-text">Hi! I am the second one.</h3>
                                  <p class="">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                                    Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris</p>
                                  <p class="mb-0">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                              </div>
                              <div class="col-md-4 mt-3 pt-2">
                                  <div class="view z-depth-1">
                                      <img src="https://mdbootstrap.com/img/Photos/Others/nature.jpeg" alt="" class="img-fluid">
                                  </div>
                              </div>
                          </div>`
              }, {
                title: 'I am the third title of accordion',
                content: `<div class="row my-4">
                              <div class="col-md-8">
                                  <h3 class="font-weight-bold mb-3 black-text">Hi! I am the third one.</h3>
                                  <p class="">Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua.
                                    Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris</p>
                                  <p class="mb-0">Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.</p>
                              </div>
                              <div class="col-md-4 mt-3 pt-2">
                                  <div class="view z-depth-1">
                                      <img src="https://mdbootstrap.com/img/Photos/Others/nature.jpeg" alt="" class="img-fluid">
                                  </div>
                              </div>
                          </div>`
              }]
            }
          }
        }
      </script>
      
        
    

Accordion with icons MDB Pro component

Hello my friends, I am the nicest accordion!


Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

        
            
      <template>
        <accordion :panes="panes" icon></accordion>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accodion
          },
          data() {
            return {
              panes: [{
                title: 'How awesome accordion I am?',
                content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.`
              }, {
                title: 'You\'re the greatest accordion!',
                content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.`
              }, {
                title: 'Thank you my dear!',
                content: `Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch.
                            Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo.
                            Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven\'t heard of them accusamus labore sustainable VHS.`
              }]
            }
          }
        }
      </script>
      
        
    

Color shades accordion MDB Pro component

The accordion takes in a name of a color and creates makup with consecutive shades of it.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

        
            
      <template>
        <accordion :panes="panes" shades="teal"></accordion>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accodion
          },
          data() {
            return {
              panes: [{
                  title: 'First title',
                  content: `<p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                      3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                      shoreditch et.</p>
                      <p>Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                      sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                      farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                      accusamus labore.</p>`
                },
                {
                  title: 'Second title',
                  content: `<p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                      3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                      shoreditch et.</p>
                      <p>Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                      sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                      farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                      accusamus labore.</p>`
                },
                {
                  title: 'Third title',
                  content: `<p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                      3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                      shoreditch et.</p>
                      <p>Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                      sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                      farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                      accusamus labore.</p>`
                },
                {
                  title: 'Fourth title',
                  content: `<p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                      3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                      shoreditch et.</p>
                      <p>Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                      sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                      farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                      accusamus labore.</p>`
                },
                {
                  title: 'Fifth title',
                  content: `<p>Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                      non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                      3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                      shoreditch et.</p>
                      <p>Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt
                      sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer
                      farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them
                      accusamus labore.</p>`
                }
              ]
            }
          }
        }
      </script>
      
        
    

Accordion with a photo in the background MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

        
            
      <template>
        <div class="card card-image"
          style="background-image: url(https://mdbootstrap.com/img/Photos/Horizontal/Work/4-col/img%20%2814%29.webp);">
          <div class="rgba-black-strong py-5 px-4">
            <row center>
              <column md="10" xl="8">
                <accordion :panes="panes" photoBg></accordion>
              </column>
            </row>
          </div>
        </div>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accodion
          },
          data() {
            return {
              panes: [{
                  title: 'Item #1',
                  icon: 'cloud',
                  content: `<p class="p-md-4 mb-0">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                                                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                                                  3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                                                  shoreditch et.</p>`
                },
                {
                  title: 'Item #2',
                  icon: 'comment-dots',
                  content: `<p class="p-md-4 mb-0">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                                                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                                                  3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                                                  shoreditch et.</p>`
                },
                {
                  title: 'Item #3',
                  icon: 'cogs',
                  content: `<p class="p-md-4 mb-0">Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute,
                                                  non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch
                                                  3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda
                                                  shoreditch et.</p>`
                }
              ]
            }
          }
        }
      </script>
      
        
    

Accordion with a table MDB Pro component

The accodions use provided title and content data to generate panes and headers. These can include simple HTML, too! Sometimes, though, the situation necessitates a custom solution involving including other components into these headers and content. This is why below we present a case, where the automatic panes generation feature gets hijacked, and the markup is created manually, allowing for usage of other mdb components, like Dropdown.

Note:This solution involves emulating features naturally implemented into the auto-generated accordion panes, namely - the opening and closing function. As such, they need to be added as well - please have a look into the methods object in <script> section.

Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
Name Condition Last edited
Test subscription Scroll % equals or greater than 80 12.06.2017
Product Hunt Visitor Scroll % equals or greater than 80 13.06.2017
Test subscription Scroll % equals or greater than 80 12.06.2017
        
            
      <template>
        <accordion table>
          <accordion-pane title="Unfiled items" type="table" :isOpen="openPaneNum==0"
            @pane-clicked="handlePaneOpened(0)">
            <dropdown style="display: block" slot="title">
              <dropdown-toggle color="info" slot="toggle" class="pull-left dropdown mr-3" style="padding: 8px">
                <fa icon="pencil" />
              </dropdown-toggle>
              <dropdown-menu color="info">
                <dropdown-item>Add new condition</dropdown-item>
                <dropdown-item>Rename folder</dropdown-item>
                <dropdown-item>Delete folder</dropdown-item>
              </dropdown-menu>
            </dropdown>
            <div class="table-ui p-2 mb-3 mx-3 mb-4">
              <row>
                <column xl="4" lg="6" md="12">
                  <mdb-select :options="[
                    {value: null, text: 'Bulk actions', disabled: true, selected: true},
                    {value: 1, text: 'Delete'},
                    {value: 2, text: 'Change folder'}
                  ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                    {value: null, text: 'Show only', disabled: true},
                    {value: 1, text: 'All (2000)', selected: true},
                    {value: 2, text: 'Clicks (200)'},
                    {value: 3, text: 'Page (1800)'},
                    {value: 4, text: 'Scroll (200)'},
                    {value: 5, text: 'Forms (50)'},
                    {value: 6, text: 'Time (50)'},
                    {value: 7, text: 'UTM (50)'}
                  ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                    {value: null, text: 'Filter', disabled: true, selected: true},
                    {value: 1, text: 'All (100)'},
                    {value: 2, text: 'Active (2000)'},
                    {value: 3, text: 'Inactive (1000)'}
                  ]" />
                </column>
              </row>
            </div>
            <div class="table-responsive mx-3">
              <!--Table-->
              <table class="table table-hover mb-0">
                <!--Table head-->
                <thead>
                  <tr>
                    <th>
                      <input class="form-check-input" type="checkbox" id="checkbox7">
                      <label for="checkbox7" class="mr-2 label-table"></label>
                    </th>
                    <th class="th-lg">
                      <a>Name
                          <i class="fas fa-sort ml-1"></i>
                        </a>
                    </th>
                    <th class="th-lg">
                      <a>Condition
                          <i class="fas fa-sort ml-1"></i>
                        </a>
                    </th>
                    <th class="th-lg">
                      <a>Last edited
                          <i class="fas fa-sort ml-1"></i>
                        </a>
                    </th>
                    <th></th>
                  </tr>
                </thead>
                <!--Table head-->
                <!--Table body-->
                <tbody>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox8">
                      <label for="checkbox8" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                          <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                        </a>
                      <a>
                          <i class="fas fa-pencil-alt-square mx-1"></i>
                        </a>
                      <a>
                          <i class="fas fa-times mx-1"></i>
                        </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox9">
                      <label for="checkbox9" class="label-table"></label>
                    </th>
                    <td>Product Hunt Visitor</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>13.06.2017</td>
                    <td>
                      <a>
                          <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                        </a>
                      <a>
                          <i class="fas fa-pencil-alt-square mx-1"></i>
                        </a>
                      <a>
                          <i class="fas fa-times mx-1"></i>
                        </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox10">
                      <label for="checkbox10" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                          <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                        </a>
                      <a>
                          <i class="fas fa-pencil-alt-square mx-1"></i>
                        </a>
                      <a>
                          <i class="fas fa-times mx-1"></i>
                        </a>
                    </td>
                  </tr>
                </tbody>
                <!--Table body-->
              </table>
              <!--Table-->
            </div>
          </accordion-pane>
          <accordion-pane title="Folder 1" type="table" :isOpen="openPaneNum==1" @pane-clicked="handlePaneOpened(1)">
            <dropdown style="display: block" slot="title">
              <dropdown-toggle color="info" slot="toggle" class="pull-left dropdown mr-3" style="padding: 8px">
                <fa icon="pencil" />
              </dropdown-toggle>
              <dropdown-menu color="info">
                <dropdown-item>Add new condition</dropdown-item>
                <dropdown-item>Rename folder</dropdown-item>
                <dropdown-item>Delete folder</dropdown-item>
              </dropdown-menu>
            </dropdown>
            <div class="table-ui p-2 mb-3 mx-3 mb-4">
              <row>
                <column xl="4" lg="6" md="12">
                  <mdb-select :options="[
                        {value: null, text: 'Bulk actions', disabled: true, selected: true},
                        {value: 1, text: 'Delete'},
                        {value: 2, text: 'Change folder'}
                      ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                        {value: null, text: 'Show only', disabled: true},
                        {value: 1, text: 'All (2000)', selected: true},
                        {value: 2, text: 'Clicks (200)'},
                        {value: 3, text: 'Page (1800)'},
                        {value: 4, text: 'Scroll (200)'},
                        {value: 5, text: 'Forms (50)'},
                        {value: 6, text: 'Time (50)'},
                        {value: 7, text: 'UTM (50)'}
                      ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                        {value: null, text: 'Filter', disabled: true, selected: true},
                        {value: 1, text: 'All (100)'},
                        {value: 2, text: 'Active (2000)'},
                        {value: 3, text: 'Inactive (1000)'}
                      ]" />
                </column>
              </row>
            </div>
            <div class="table-responsive mx-3">
              <!--Table-->
              <table class="table table-hover mb-0">
                <!--Table head-->
                <thead>
                  <tr>
                    <th>
                      <input class="form-check-input" type="checkbox" id="checkbox7">
                      <label for="checkbox7" class="mr-2 label-table"></label>
                    </th>
                    <th class="th-lg">
                      <a>Name
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th class="th-lg">
                      <a>Condition
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th class="th-lg">
                      <a>Last edited
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th></th>
                  </tr>
                </thead>
                <!--Table head-->
                <!--Table body-->
                <tbody>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox8">
                      <label for="checkbox8" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox9">
                      <label for="checkbox9" class="label-table"></label>
                    </th>
                    <td>Product Hunt Visitor</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>13.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox10">
                      <label for="checkbox10" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                </tbody>
                <!--Table body-->
              </table>
              <!--Table-->
            </div>
          </accordion-pane>
          <accordion-pane title="Folder 2" type="table" :isOpen="openPaneNum==2" @pane-clicked="handlePaneOpened(2)">
            <dropdown style="display: block" slot="title">
              <dropdown-toggle color="info" slot="toggle" class="pull-left dropdown mr-3" style="padding: 8px">
                <fa icon="pencil" />
              </dropdown-toggle>
              <dropdown-menu color="info">
                <dropdown-item>Add new condition</dropdown-item>
                <dropdown-item>Rename folder</dropdown-item>
                <dropdown-item>Delete folder</dropdown-item>
              </dropdown-menu>
            </dropdown>
            <div class="table-ui p-2 mb-3 mx-3 mb-4">
              <row>
                <column xl="4" lg="6" md="12">
                  <mdb-select :options="[
                        {value: null, text: 'Bulk actions', disabled: true, selected: true},
                        {value: 1, text: 'Delete'},
                        {value: 2, text: 'Change folder'}
                      ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                        {value: null, text: 'Show only', disabled: true},
                        {value: 1, text: 'All (2000)', selected: true},
                        {value: 2, text: 'Clicks (200)'},
                        {value: 3, text: 'Page (1800)'},
                        {value: 4, text: 'Scroll (200)'},
                        {value: 5, text: 'Forms (50)'},
                        {value: 6, text: 'Time (50)'},
                        {value: 7, text: 'UTM (50)'}
                      ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                        {value: null, text: 'Filter', disabled: true, selected: true},
                        {value: 1, text: 'All (100)'},
                        {value: 2, text: 'Active (2000)'},
                        {value: 3, text: 'Inactive (1000)'}
                      ]" />
                </column>
              </row>
            </div>
            <div class="table-responsive mx-3">
              <!--Table-->
              <table class="table table-hover mb-0">
                <!--Table head-->
                <thead>
                  <tr>
                    <th>
                      <input class="form-check-input" type="checkbox" id="checkbox7">
                      <label for="checkbox7" class="mr-2 label-table"></label>
                    </th>
                    <th class="th-lg">
                      <a>Name
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th class="th-lg">
                      <a>Condition
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th class="th-lg">
                      <a>Last edited
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th></th>
                  </tr>
                </thead>
                <!--Table head-->
                <!--Table body-->
                <tbody>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox8">
                      <label for="checkbox8" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox9">
                      <label for="checkbox9" class="label-table"></label>
                    </th>
                    <td>Product Hunt Visitor</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>13.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox10">
                      <label for="checkbox10" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                </tbody>
                <!--Table body-->
              </table>
              <!--Table-->
            </div>
          </accordion-pane>
          <accordion-pane title="Folder 3" type="table" :isOpen="openPaneNum==3" @pane-clicked="handlePaneOpened(3)">
            <dropdown style="display: block" slot="title">
              <dropdown-toggle color="info" slot="toggle" class="pull-left dropdown mr-3" style="padding: 8px">
                <fa icon="pencil" />
              </dropdown-toggle>
              <dropdown-menu color="info">
                <dropdown-item>Add new condition</dropdown-item>
                <dropdown-item>Rename folder</dropdown-item>
                <dropdown-item>Delete folder</dropdown-item>
              </dropdown-menu>
            </dropdown>
            <div class="table-ui p-2 mb-3 mx-3 mb-4">
              <row>
                <column xl="4" lg="6" md="12">
                  <mdb-select :options="[
                        {value: null, text: 'Bulk actions', disabled: true, selected: true},
                        {value: 1, text: 'Delete'},
                        {value: 2, text: 'Change folder'}
                      ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                        {value: null, text: 'Show only', disabled: true},
                        {value: 1, text: 'All (2000)', selected: true},
                        {value: 2, text: 'Clicks (200)'},
                        {value: 3, text: 'Page (1800)'},
                        {value: 4, text: 'Scroll (200)'},
                        {value: 5, text: 'Forms (50)'},
                        {value: 6, text: 'Time (50)'},
                        {value: 7, text: 'UTM (50)'}
                      ]" />
                </column>
                <column xl="4" lg="6" md="6">
                  <mdb-select :options="[
                        {value: null, text: 'Filter', disabled: true, selected: true},
                        {value: 1, text: 'All (100)'},
                        {value: 2, text: 'Active (2000)'},
                        {value: 3, text: 'Inactive (1000)'}
                      ]" />
                </column>
              </row>
            </div>
            <div class="table-responsive mx-3">
              <!--Table-->
              <table class="table table-hover mb-0">
                <!--Table head-->
                <thead>
                  <tr>
                    <th>
                      <input class="form-check-input" type="checkbox" id="checkbox7">
                      <label for="checkbox7" class="mr-2 label-table"></label>
                    </th>
                    <th class="th-lg">
                      <a>Name
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th class="th-lg">
                      <a>Condition
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th class="th-lg">
                      <a>Last edited
                            <i class="fas fa-sort ml-1"></i>
                          </a>
                    </th>
                    <th></th>
                  </tr>
                </thead>
                <!--Table head-->
                <!--Table body-->
                <tbody>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox8">
                      <label for="checkbox8" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox9">
                      <label for="checkbox9" class="label-table"></label>
                    </th>
                    <td>Product Hunt Visitor</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>13.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                  <tr>
                    <th scope="row">
                      <input class="form-check-input" type="checkbox" id="checkbox10">
                      <label for="checkbox10" class="label-table"></label>
                    </th>
                    <td>Test subscription</td>
                    <td>
                      <code>Scroll%&lt;/code&gt;equals or greater than
                        <strong>80</strong>
                    </td>
                    <td>12.06.2017</td>
                    <td>
                      <a>
                            <i class="fas fa-info mx-1" data-toggle="tooltip" data-placement="top" title="" data-original-title="Tooltip on top"></i>
                          </a>
                      <a>
                            <i class="fas fa-pencil-alt-square mx-1"></i>
                          </a>
                      <a>
                            <i class="fas fa-times mx-1"></i>
                          </a>
                    </td>
                  </tr>
                </tbody>
                <!--Table body-->
              </table>
              <!--Table-->
            </div>
          </accordion-pane>
        </accordion>
      </template>
      
        
    
        
            
      <script>
        import {
          Accordion
        } from 'mdbvue';
        export default {
          components: {
            Accodion
          },
          data() {
            return {
              elHeight: 0,
              openPaneNum: 0,
            }
          },
          methods: {
            beforeEnter(el) {
              this.elHeight = el.scrollHeight;
            },
            enter(el) {
              el.style.height = this.elHeight + 'px';
            },
            beforeLeave(el) {
              el.style.height = 0;
            },
            handlePaneOpened(num) {
              if (this.openPaneNum == num) {
                return (this.openPaneNum = null);
              };
              this.openPaneNum = num;
            }
          }
        }
      </script>
      
        
    

Vue Accordion - API

In this section you will find information about how exactly to make accordion truly yours.


Accordion

Name Type Default Description
:panes Object / Array null Data array used to generate panes automatically. Each object within should have a titile, content and optionally icon property
:open Number null MDB Vue Accordions start off with panes closed. To alternate this behavior, add the prop specifying the number of you want to have open on initial render. Remember - the numeration here start with 0. Since you are providing component a number prop, remember to have its props type respected by adding a colon
default boolean true Bootstrap default accordion style
material boolean false Accordion in accordance with Material Design standard
picture boolean false The style involving light blue headers
icon boolean false Accordeon with this style shall have a white background and utilise an :panes data array object icon property in a blood-red manner
color String null The prop hooks you up with our "Five Shades of Pane" accordion, accepting any of our colors
photoBg boolean false It utilized styles typical to the photo background accordion
table boolean false Helps to set up a highly-readable table-based accordion component
tag String div Allows to alter component's native HTML tag.

AccordionPane

In case you would like your panes custom, here is an API for component used to display accordion's content. Remember - having it that way lays the burden of operating logic on your shoulders! Refer to the table accordion example to see the methods and the data object that should be provided for accordion to work.

Name Type Default Description
style String default Specifies the type of styling on a pane-to-pane basis, using the style names from the Accordion table above or from the examples section
:isOpen Boolean -- Source of truth about wether the pane should be open or not, entrance point for custom logic
title String -- Used by accodion component in pane generation. Can be utilized for manual pane's title input, but offers little to no advantage over having a custom header component
content String -- This is what shall be injected as pane content, being hidden and shown on isOpen being evaluated as false
color String null The prop hooks you up with our "Five Shades of Pane" accordion, accepting any of our colors
order Number -- Marks pane's orderder of appearence to calculate consequtive shades on color shades accordion's pane, of little intereset otherwise
icon String -- Features an icon to be used in icons accordion's pane

React Bootstrap Accordion

React Accordion - Bootstrap 4 & Material Design

Note: This documentation is for an older version of Bootstrap (v.4). A newer version is available for Bootstrap 5. We recommend migrating to the latest version of our product - Material Design for Bootstrap 5.
Go to docs v.5

React Bootstrap accordion is a component which organizes content within collapsable items. Accordion allows showing only one collapsed item at the same time.

Accordions can toggle through a number of text blocks with a single click, and that greatly increases the UX of your project.

Examples of Bootstrap Accordion use:

  • FAQ page
  • Multiple items presentation
  • Data tables

Basic example MDB Pro component

Material Design styling for Bootstrap Accordion component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.
        
            
            import React, { Component } from "react";
            import { 
              MDBContainer, 
              MDBCollapse, 
              MDBCard, 
              MDBCardBody, 
              MDBCollapseHeader 
            } from "mdbreact";

            class CollapsePage extends Component {
              state={
                collapseID: "collapse3"
              }

              toggleCollapse = collapseID => () =>
                this.setState(prevState => ({
                  collapseID: prevState.collapseID !== collapseID ? collapseID : ""
                }));

              render() {
                const { collapseID } = this.state;
                
                return (
                    <MDBContainer>
                      <MDBContainer className='md-accordion mt-5'>
                        <MDBCard className='mt-3'>
                          <MDBCollapseHeader
                            tagClassName='d-flex justify-content-between'
                            onClick={() => this.toggleCollapse('collapse1')}
                          >
                            Collapsible Group Item #1
                            <MDBIcon
                              icon={collapseID === 'collapse1' ? 'angle-up' : 'angle-down'}
                            />
                          </MDBCollapseHeader>
                          <MDBCollapse id='collapse1' isOpen={collapseID}>
                            <MDBCardBody>
                              Pariatur cliche reprehenderit, enim eiusmod high life accusamus
                              terry richardson ad squid. 3 wolf moon officia aute, non
                              cupidatat skateboard dolor brunch. Food truck quinoa nesciunt
                              laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a
                              bird on it squid single-origin coffee nulla assumenda shoreditch
                              et. Nihil anim keffiyeh helvetica, craft beer labore wes
                              anderson cred nesciunt sapiente ea proident. Ad vegan excepteur
                              butcher vice lomo. Leggings occaecat craft beer farm-to-table,
                              raw denim aesthetic synth nesciunt you probably haven&apos;t
                              heard of them accusamus labore sustainable VHS.
                            </MDBCardBody>
                          </MDBCollapse>
                        </MDBCard>

                        <MDBCard>
                          <MDBCollapseHeader
                            tagClassName='d-flex justify-content-between'
                            onClick={() => this.toggleCollapse('collapse2')}
                          >
                            Collapsible Group Item #2
                            <MDBIcon
                              icon={collapseID === 'collapse2' ? 'angle-up' : 'angle-down'}
                            />
                          </MDBCollapseHeader>
                          <MDBCollapse id='collapse2' isOpen={collapseID}>
                            <MDBCardBody>
                              Anim pariatur cliche reprehenderit, enim eiusmod high life
                              accusamus terry richardson ad squid. 3 wolf moon officia aute,
                              non cupidatat skateboard dolor brunch. Food truck quinoa
                              nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua
                              put a bird on it squid single-origin coffee nulla assumenda
                              shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore
                              wes anderson cred nesciunt sapiente ea proident. Ad vegan
                              excepteur butcher vice lomo. Leggings occaecat craft beer
                              farm-to-table, raw denim aesthetic synth nesciunt you probably
                              haven&apos;t heard of them accusamus labore sustainable VHS.
                            </MDBCardBody>
                          </MDBCollapse>
                        </MDBCard>

                        <MDBCard>
                          <MDBCollapseHeader
                            tagClassName='d-flex justify-content-between'
                            onClick={() => this.toggleCollapse('collapse3')}
                          >
                            Collapsible Group Item #3
                            <MDBIcon
                              icon={collapseID === 'collapse3' ? 'angle-up' : 'angle-down'}
                            />
                          </MDBCollapseHeader>
                          <MDBCollapse id='collapse3' isOpen={collapseID}>
                            <MDBCardBody>
                              Anim pariatur cliche reprehenderit, enim eiusmod high life
                              accusamus terry richardson ad squid. 3 wolf moon officia aute,
                              non cupidatat skateboard dolor brunch. Food truck quinoa
                              nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua
                              put a bird on it squid single-origin coffee nulla assumenda
                              shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore
                              wes anderson cred nesciunt sapiente ea proident. Ad vegan
                              excepteur butcher vice lomo. Leggings occaecat craft beer
                              farm-to-table, raw denim aesthetic synth nesciunt you probably
                              haven&apos;t heard of them accusamus labore sustainable VHS.
                            </MDBCardBody>
                          </MDBCollapse>
                        </MDBCard>
                      </MDBContainer>
                    </MDBContainer>
                );
              }
            }

            export default CollapsePage;
          
        
    

Accordion with gradient background MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable.

Lorem ipsum dolor sit amet, consectetur adipiscing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris nisi ut aliquip ex ea commodo consequat. Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur. Excepteur sint occaecat cupidatat non proident, sunt in culpa qui officia deserunt mollit anim id est laborum.

Sed ut perspiciatis unde omnis iste natus error sit voluptatem accusantium doloremque laudantium, totam rem aperiam, eaque ipsa quae ab illo inventore veritatis et quasi architecto beatae vitae dicta sunt explicabo. Nemo enim ipsam voluptatem quia voluptas sit aspernatur aut odit aut fugit, sed quia consequuntur magni dolores eos qui ratione voluptatem sequi nesciunt. Neque porro quisquam est, qui dolorem ipsum quia dolor sit amet, consectetur, adipisci velit, sed quia non numquam eius modi tempora incidunt ut labore et dolore magnam aliquam quaerat voluptatem.

        
            
          import React, { Component } from "react";
          import { 
            MDBContainer, 
            MDBCollapse, 
            MDBCard, 
            MDBCardBody, 
            MDBCollapseHeader, 
            MDBIcon 
          } from "mdbreact";

          class CollapsePage extends Component {
            state={
              collapseID: "collapse1"
            }

            toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ""
              }));

            render() {
              return (
                <MDBContainer>
                  <MDBContainer className="accordion-gradient-bcg p-5">
                    <MDBCard
                      style={{ backgroundColor: "rgba(0,0,0,.03)" }}
                      className="my-1"
                    >
                      <MDBCollapseHeader onClick={this.toggleCollapse("collapse1")}>
                        <span className="white-text">#1</span>
                        <MDBIcon
                          icon={
                            this.state.collapseID === "collapse1"
                              ? "angle-up"
                              : "angle-down"
                          }
                          className="white-text"
                          style={{ float: "right" }}
                        />
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse1" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-grey-light white-text">
                          Pariatur cliche reprehenderit, enim eiusmod high life accusamus
                          terry richardson ad squid. 3 wolf moon officia aute, non
                          cupidatat skateboard dolor brunch. Food truck quinoa nesciunt
                          laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a
                          bird on it squid single-origin coffee nulla assumenda shoreditch
                          et. Nihil anim keffiyeh helvetica, craft beer labore wes
                          anderson cred nesciunt sapiente ea proident. Ad vegan excepteur
                          butcher vice lomo. Leggings occaecat craft beer farm-to-table,
                          raw denim aesthetic synth nesciunt you probably haven&apos;t
                          heard of them accusamus labore sustainable VHS.
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>

                    <MDBCard style={{ backgroundColor: "rgba(0,0,0,.03)" }}>
                      <MDBCollapseHeader onClick={this.toggleCollapse("collapse2")}>
                        <span className="white-text">#2</span>
                        <MDBIcon
                          icon={
                            this.state.collapseID === "collapse2"
                              ? "angle-up"
                              : "angle-down"
                          }
                          className="white-text"
                          style={{ float: "right" }}
                        />
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse2" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-grey-light white-text">
                          Pariatur cliche reprehenderit, enim eiusmod high life accusamus
                          terry richardson ad squid. 3 wolf moon officia aute, non
                          cupidatat skateboard dolor brunch. Food truck quinoa nesciunt
                          laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a
                          bird on it squid single-origin coffee nulla assumenda shoreditch
                          et. Nihil anim keffiyeh helvetica, craft beer labore wes
                          anderson cred nesciunt sapiente ea proident. Ad vegan excepteur
                          butcher vice lomo. Leggings occaecat craft beer farm-to-table,
                          raw denim aesthetic synth nesciunt you probably haven&apos;t
                          heard of them accusamus labore sustainable VHS.
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>

                    <MDBCard style={{ backgroundColor: "rgba(0,0,0,.03)" }}>
                      <MDBCollapseHeader onClick={this.toggleCollapse("collapse3")}>
                        <span className="white-text">#3</span>
                        <MDBIcon
                          icon={
                            this.state.collapseID === "collapse3"
                              ? "angle-up"
                              : "angle-down"
                          }
                          className="white-text"
                          style={{ float: "right" }}
                        />
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse3" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-grey-light white-text">
                          Pariatur cliche reprehenderit, enim eiusmod high life accusamus
                          terry richardson ad squid. 3 wolf moon officia aute, non
                          cupidatat skateboard dolor brunch. Food truck quinoa nesciunt
                          laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a
                          bird on it squid single-origin coffee nulla assumenda shoreditch
                          et. Nihil anim keffiyeh helvetica, craft beer labore wes
                          anderson cred nesciunt sapiente ea proident. Ad vegan excepteur
                          butcher vice lomo. Leggings occaecat craft beer farm-to-table,
                          raw denim aesthetic synth nesciunt you probably haven&apos;t
                          heard of them accusamus labore sustainable VHS.
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>
                  </MDBContainer>
                </MDBContainer>
              );
            }
          }

          export default CollapsePage;
                
        
    

Accordion with a picture MDB Pro component

Hi! I am the first one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

Hi! I am the second one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

Hi! I am the third one.

Lorem ipsum dolor sit amet, consectetur adipisicing elit, sed do eiusmod tempor incididunt ut labore et dolore magna aliqua. Ut enim ad minim veniam, quis nostrud exercitation ullamco laboris

Duis aute irure dolor in reprehenderit in voluptate velit esse cillum dolore eu fugiat nulla pariatur.

        
            
            import React, { Component } from 'react';
            import {
              MDBContainer,
              MDBCol,
              MDBCollapse,
              MDBCard,
              MDBCardBody,
              MDBCollapseHeader,
              MDBCardImage,
              MDBRow,
              MDBView
            } from 'mdbreact';

            class CollapsePage extends Component {
              state = {
                collapseID: 'collapse1'
              };

              toggleCollapse = collapseID => () =>
                this.setState(prevState => ({
                  collapseID: prevState.collapseID !== collapseID ? collapseID : ''
                }));

              render() {
                const { collapseID } = this.state;

                return (
                  <MDBContainer>
                    <MDBContainer className='accordion md-accordion accordion-1'>
                      <MDBCard style={{ backgroundColor: 'transparent' }}>
                        <MDBCollapseHeader
                          onClick={this.toggleCollapse('collapse1')}
                          className='text-uppercase blue lighten-3 z-depth-1'
                        >
                          <span className='white-text font-weight-bold'>
                            I am the first title of accordion
                          </span>
                        </MDBCollapseHeader>
                        <MDBCollapse id='collapse1' isOpen={collapseID}>
                          <MDBCardBody>
                            <MDBRow className='my-4'>
                              <MDBCol md='8'>
                                <h2 className='font-weight-bold mb-3 black-text'>
                                  Hi! I am the first one.
                                </h2>
                                <p>
                                  Lorem ipsum dolor sit amet, consectetur adipisicing elit,
                                  sed do eiusmod tempor incididunt ut labore et dolore magna
                                  aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                                  ullamco laboris
                                </p>
                                <p className='mb-0 '>
                                  Duis aute irure dolor in reprehenderit in voluptate velit
                                  esse cillum dolore eu fugiat nulla pariatur.
                                </p>
                              </MDBCol>
                              <MDBCol md='4' className='mt-3 pt-2'>
                                <MDBView className='z-depth-1'>
                                  <MDBCardImage
                                    className='img-fluid z-depth-1'
                                    src='https://mdbootstrap.com/img/Photos/Others/nature.webp'
                                    alt=''
                                  />
                                </MDBView>
                              </MDBCol>
                            </MDBRow>
                          </MDBCardBody>
                        </MDBCollapse>
                      </MDBCard>

                      <MDBCard style={{ backgroundColor: 'transparent' }}>
                        <MDBCollapseHeader
                          onClick={this.toggleCollapse('collapse2')}
                          className='text-uppercase blue lighten-3 z-depth-1'
                        >
                          <span className='white-text font-weight-bold'>
                            I am the second title of accordion
                          </span>
                        </MDBCollapseHeader>
                        <MDBCollapse id='collapse2' isOpen={collapseID}>
                          <MDBCardBody>
                            <MDBRow className='my-4'>
                              <MDBCol md='8'>
                                <h2 className='font-weight-bold mb-3 black-text'>
                                  Hi! I am the second one.
                                </h2>
                                <p>
                                  Lorem ipsum dolor sit amet, consectetur adipisicing elit,
                                  sed do eiusmod tempor incididunt ut labore et dolore magna
                                  aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                                  ullamco laboris
                                </p>
                                <p className='mb-0 '>
                                  Duis aute irure dolor in reprehenderit in voluptate velit
                                  esse cillum dolore eu fugiat nulla pariatur.
                                </p>
                              </MDBCol>
                              <MDBCol md='4' className='mt-3 pt-2'>
                                <MDBView className='z-depth-1'>
                                  <MDBCardImage
                                    className='img-fluid'
                                    src='https://mdbootstrap.com/img/Photos/Others/nature.webp'
                                    alt=''
                                  />
                                </MDBView>
                              </MDBCol>
                            </MDBRow>
                          </MDBCardBody>
                        </MDBCollapse>
                      </MDBCard>

                      <MDBCard style={{ backgroundColor: 'transparent' }}>
                        <MDBCollapseHeader
                          onClick={this.toggleCollapse('collapse3')}
                          className='text-uppercase blue lighten-3 z-depth-1'
                        >
                          <span className='white-text font-weight-bold'>
                            I am the third title of accordion
                          </span>
                        </MDBCollapseHeader>
                        <MDBCollapse id='collapse3' isOpen={collapseID}>
                          <MDBCardBody>
                            <MDBRow className='my-4'>
                              <MDBCol md='8'>
                                <h2 className='font-weight-bold mb-3 black-text'>
                                  Hi! I am the third one.
                                </h2>
                                <p>
                                  Lorem ipsum dolor sit amet, consectetur adipisicing elit,
                                  sed do eiusmod tempor incididunt ut labore et dolore magna
                                  aliqua. Ut enim ad minim veniam, quis nostrud exercitation
                                  ullamco laboris
                                </p>
                                <p className='mb-0 '>
                                  Duis aute irure dolor in reprehenderit in voluptate velit
                                  esse cillum dolore eu fugiat nulla pariatur.
                                </p>
                              </MDBCol>
                              <MDBCol md='4' className='mt-3 pt-2'>
                                <MDBView className='z-depth-1'>
                                  <MDBCardImage
                                    className='img-fluid'
                                    src='https://mdbootstrap.com/img/Photos/Others/nature.webp'
                                    alt=''
                                  />
                                </MDBView>
                              </MDBCol>
                            </MDBRow>
                          </MDBCardBody>
                        </MDBCollapse>
                      </MDBCard>
                    </MDBContainer>
                  </MDBContainer>
                );
              }
            }

            export default CollapsePage;
          
        
    

Accordion with icons MDB Pro component

Hello my friends, I am the nicest accordion!


Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore sustainable VHS.

        
            
            import React, { Component } from 'react';
            import {
              MDBContainer,
              MDBCollapse,
              MDBCard,
              MDBCardBody,
              MDBCollapseHeader,
              MDBIcon,
            } from 'mdbreact';

            class CollapsePage extends Component {
              state = {
                collapseID: 'collapse1'
              };

              toggleCollapse = collapseID => () =>
                this.setState(prevState => ({
                  collapseID: prevState.collapseID !== collapseID ? collapseID : ''
                }));

              render() {
                return (
                  <MDBContainer>
                    <MDBContainer
                      className='accordion md-accordion accordion-3 z-depth-1-half'
                    >
                      <div className='d-flex justify-content-center pt-5'>
                        <MDBIcon icon='anchor' className='red-text mx-3' size='2x' />
                        <MDBIcon far icon='life-ring' className='red-text mx-3' size='2x' />
                        <MDBIcon far icon='star' className='red-text mx-3' size='2x' />
                      </div>
                      <h2 class='text-center text-uppercase red-text py-4 px-3'>
                        Hello my friends, I am the nicest accordion!
                      </h2>

                      <hr class='mb-0' />

                      <MDBCard>
                        <MDBCollapseHeader
                          onClick={this.toggleCollapse('collapse1')}
                          tag='h3'
                          tagClassName='red-text d-flex justify-content-between align-items-center'
                        >
                          How awesome accordion I am?
                          <MDBIcon
                            icon={
                              this.state.collapseID === 'collapse1'
                                ? 'angle-up'
                                : 'angle-down'
                            }
                            className='red-text'
                            size='2x'
                          />
                        </MDBCollapseHeader>
                        <MDBCollapse id='collapse1' isOpen={this.state.collapseID}>
                          <MDBCardBody class='pt-0'>
                            <p>
                              Anim pariatur cliche reprehenderit, enim eiusmod high life
                              accusamus terry richardson ad squid. 3 wolf moon officia aute,
                              non cupidatat skateboard dolor brunch. Food truck quinoa
                              nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                              aliqua put a bird on it squid single-origin coffee nulla
                              assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                              beer labore wes anderson cred nesciunt sapiente ea proident.
                              Ad vegan excepteur butcher vice lomo. Leggings occaecat craft
                              beer farm-to-table, raw denim aesthetic synth nesciunt you
                              probably haven't heard of them accusamus labore sustainable
                              VHS.
                            </p>
                          </MDBCardBody>
                        </MDBCollapse>
                      </MDBCard>

                      <MDBCard>
                        <MDBCollapseHeader
                          onClick={this.toggleCollapse('collapse2')}
                          tag='h3'
                          tagClassName='red-text d-flex justify-content-between align-items-center'
                        >
                          You're the greatest accordion!
                          <MDBIcon
                            icon={
                              this.state.collapseID === 'collapse2'
                                ? 'angle-up'
                                : 'angle-down'
                            }
                            className='red-text'
                            size='2x'
                          />
                        </MDBCollapseHeader>
                        <MDBCollapse id='collapse2' isOpen={this.state.collapseID}>
                          <MDBCardBody class='pt-0'>
                            <p>
                              Anim pariatur cliche reprehenderit, enim eiusmod high life
                              accusamus terry richardson ad squid. 3 wolf moon officia aute,
                              non cupidatat skateboard dolor brunch. Food truck quinoa
                              nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                              aliqua put a bird on it squid single-origin coffee nulla
                              assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                              beer labore wes anderson cred nesciunt sapiente ea proident.
                              Ad vegan excepteur butcher vice lomo. Leggings occaecat craft
                              beer farm-to-table, raw denim aesthetic synth nesciunt you
                              probably haven't heard of them accusamus labore sustainable
                              VHS.
                            </p>
                          </MDBCardBody>
                        </MDBCollapse>
                      </MDBCard>

                      <MDBCard>
                        <MDBCollapseHeader
                          onClick={this.toggleCollapse('collapse3')}
                          tag='h3'
                          tagClassName='red-text d-flex justify-content-between align-items-center'
                        >
                          Thank you my dear!
                          <MDBIcon
                            icon={
                              this.state.collapseID === 'collapse3'
                                ? 'angle-up'
                                : 'angle-down'
                            }
                            className='red-text'
                            size='2x'
                          />
                        </MDBCollapseHeader>
                        <MDBCollapse id='collapse3' isOpen={this.state.collapseID}>
                          <MDBCardBody class='pt-0'>
                            <p>
                              Anim pariatur cliche reprehenderit, enim eiusmod high life
                              accusamus terry richardson ad squid. 3 wolf moon officia aute,
                              non cupidatat skateboard dolor brunch. Food truck quinoa
                              nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                              aliqua put a bird on it squid single-origin coffee nulla
                              assumenda shoreditch et. Nihil anim keffiyeh helvetica, craft
                              beer labore wes anderson cred nesciunt sapiente ea proident.
                              Ad vegan excepteur butcher vice lomo. Leggings occaecat craft
                              beer farm-to-table, raw denim aesthetic synth nesciunt you
                              probably haven't heard of them accusamus labore sustainable
                              VHS.
                            </p>
                          </MDBCardBody>
                        </MDBCollapse>
                      </MDBCard>
                    </MDBContainer>
                  </MDBContainer>
                );
              }
            }

            export default CollapsePage;
                
        
    

Accordion with teal cards MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Nihil anim keffiyeh helvetica, craft beer labore wes anderson cred nesciunt sapiente ea proident. Ad vegan excepteur butcher vice lomo. Leggings occaecat craft beer farm-to-table, raw denim aesthetic synth nesciunt you probably haven't heard of them accusamus labore.

        
            
          import React, { Component } from "react";
          import { 
            MDBContainer, 
            MDBCollapse, 
            MDBCard, 
            MDBCardBody, 
            MDBCollapseHeader 
          } from "mdbreact";

          class CollapsePage extends Component {
            state={
              collapseID: "collapse1"
            }

            toggleCollapse = collapseID => () =>
              this.setState(prevState => ({
                collapseID: prevState.collapseID !== collapseID ? collapseID : ""
              }));

            render() {
              return (
                <MDBContainer>
                  <MDBContainer className="accordion md-accordion accordion-4">
                    <MDBCard>
                      <MDBCollapseHeader
                        onClick={this.toggleCollapse("collapse1")}
                        className="z-depth-1 teal lighten-4"
                        tagClassName="white-text text-center font-weight-bold text-uppercase"
                        tag="h4"
                      >
                        First title
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse1" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-teal-strong white-text">
                          <p>
                            Anim pariatur cliche reprehenderit, enim eiusmod high life
                            accusamus terry richardson ad squid. 3 wolf moon officia aute,
                            non cupidatat skateboard dolor brunch. Food truck quinoa
                            nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                            aliqua put a bird on it squid single-origin coffee nulla
                            assumenda shoreditch et.
                          </p>

                          <p>
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident. Ad vegan excepteur butcher
                            vice lomo. Leggings occaecat craft beer farm-to-table, raw
                            denim aesthetic synth nesciunt you probably haven't heard of
                            them accusamus labore.
                          </p>
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>

                    <MDBCard>
                      <MDBCollapseHeader
                        onClick={this.toggleCollapse("collapse2")}
                        className="z-depth-1 teal lighten-3"
                        tagClassName="white-text text-center font-weight-bold text-uppercase"
                        tag="h4"
                      >
                        Second title
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse2" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-teal-strong white-text">
                          <p>
                            Anim pariatur cliche reprehenderit, enim eiusmod high life
                            accusamus terry richardson ad squid. 3 wolf moon officia aute,
                            non cupidatat skateboard dolor brunch. Food truck quinoa
                            nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                            aliqua put a bird on it squid single-origin coffee nulla
                            assumenda shoreditch et.
                          </p>

                          <p>
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident. Ad vegan excepteur butcher
                            vice lomo. Leggings occaecat craft beer farm-to-table, raw
                            denim aesthetic synth nesciunt you probably haven't heard of
                            them accusamus labore.
                          </p>
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>

                    <MDBCard>
                      <MDBCollapseHeader
                        onClick={this.toggleCollapse("collapse3")}
                        className="z-depth-1 teal lighten-2"
                        tagClassName="white-text text-center font-weight-bold text-uppercase"
                        tag="h4"
                      >
                        Third title
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse3" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-teal-strong white-text">
                          <p>
                            Anim pariatur cliche reprehenderit, enim eiusmod high life
                            accusamus terry richardson ad squid. 3 wolf moon officia aute,
                            non cupidatat skateboard dolor brunch. Food truck quinoa
                            nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                            aliqua put a bird on it squid single-origin coffee nulla
                            assumenda shoreditch et.
                          </p>

                          <p>
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident. Ad vegan excepteur butcher
                            vice lomo. Leggings occaecat craft beer farm-to-table, raw
                            denim aesthetic synth nesciunt you probably haven't heard of
                            them accusamus labore.
                          </p>
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>

                    <MDBCard>
                      <MDBCollapseHeader
                        onClick={this.toggleCollapse("collapse4")}
                        className="z-depth-1 teal lighten-1"
                        tagClassName="white-text text-center font-weight-bold text-uppercase"
                        tag="h4"
                      >
                        Fourth title
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse4" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-teal-strong white-text">
                          <p>
                            Anim pariatur cliche reprehenderit, enim eiusmod high life
                            accusamus terry richardson ad squid. 3 wolf moon officia aute,
                            non cupidatat skateboard dolor brunch. Food truck quinoa
                            nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                            aliqua put a bird on it squid single-origin coffee nulla
                            assumenda shoreditch et.
                          </p>

                          <p>
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident. Ad vegan excepteur butcher
                            vice lomo. Leggings occaecat craft beer farm-to-table, raw
                            denim aesthetic synth nesciunt you probably haven't heard of
                            them accusamus labore.
                          </p>
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>

                    <MDBCard>
                      <MDBCollapseHeader
                        onClick={this.toggleCollapse("collapse5")}
                        className="z-depth-1 teal"
                        tagClassName="white-text text-center font-weight-bold text-uppercase"
                        tag="h4"
                      >
                        Fifth title
                      </MDBCollapseHeader>
                      <MDBCollapse id="collapse5" isOpen={this.state.collapseID}>
                        <MDBCardBody className="rgba-teal-strong white-text">
                          <p>
                            Anim pariatur cliche reprehenderit, enim eiusmod high life
                            accusamus terry richardson ad squid. 3 wolf moon officia aute,
                            non cupidatat skateboard dolor brunch. Food truck quinoa
                            nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt
                            aliqua put a bird on it squid single-origin coffee nulla
                            assumenda shoreditch et.
                          </p>

                          <p>
                            Nihil anim keffiyeh helvetica, craft beer labore wes anderson
                            cred nesciunt sapiente ea proident. Ad vegan excepteur butcher
                            vice lomo. Leggings occaecat craft beer farm-to-table, raw
                            denim aesthetic synth nesciunt you probably haven't heard of
                            them accusamus labore.
                          </p>
                        </MDBCardBody>
                      </MDBCollapse>
                    </MDBCard>
                  </MDBContainer>
                </MDBContainer>
              );
            }
          }

          export default CollapsePage;
                
        
    

Accordion with a photo in the background MDB Pro component

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

Anim pariatur cliche reprehenderit, enim eiusmod high life accusamus terry richardson ad squid. 3 wolf moon officia aute, non cupidatat skateboard dolor brunch. Food truck quinoa nesciunt laborum eiusmod. Brunch 3 wolf moon tempor, sunt aliqua put a bird on it squid single-origin coffee nulla assumenda shoreditch et.

        
            
          import React, { Component } from "react";
          import { 
            MDBContainer, 
            MDBCol, 
            MDBRow, 
            MDBCollapse, 
            MDBCollapseHeader, 
            MDBCard, 
            MDBCardBody, 
            MDBIcon 
          } from "mdbreact";

          class CollapsePage extends Component {
            state={
              collapseID: "collapse1"
            }

            toggleCollapse = collapseID => () =>
            this.setState(prevState => ({
              collapseID: prevState.collapseID !== collapseID ? collapseID : ""
            }));

            render() {
              return (
                <MDBContainer>
                  <MDBCard
                    className="card-image"
                    style={{
                      backgroundImage: `url(https://mdbootstrap.com/img/Photos/Horizontal/Work/4-col/img%20%2814%29.webp)`
                    }}
                  >
                    <div className="rgba-black-strong py-5 px-4">
                      <MDBRow className="d-flex justify-content-center">
                        <MDBCol md="10" xl="8">
                          <MDBContainer className="accordion md-accordion accordion-5">
                            <MDBCard className="mb-4">
                              <MDBCollapseHeader
                                onClick={this.toggleCollapse("collapse1")}
                                className="p-0 z-depth-1"
                                tag="h4"
                                tagClassName="text-uppercase white-text mb-0 d-flex justify-content-start align-items-center"
                              >
                                <div
                                  className="d-flex justify-content-center align-items-center mr-4"
                                  style={{ backgroundColor: "#fff", minWidth: "100px" }}
                                >
                                  <MDBIcon
                                    icon="cloud"
                                    size="2x"
                                    className="m-3 black-text"
                                  />
                                </div>
                                Item #1
                              </MDBCollapseHeader>

                              <MDBCollapse id="collapse1" isOpen={this.state.collapseID}>
                                <MDBCardBody className="rgba-black-light white-text z-depth-1">
                                  <p className="p-md-4 mb-0">
                                    Anim pariatur cliche reprehenderit, enim eiusmod high
                                    life accusamus terry richardson ad squid. 3 wolf moon
                                    officia aute, non cupidatat skateboard dolor brunch.
                                    Food truck quinoa nesciunt laborum eiusmod. Brunch 3
                                    wolf moon tempor, sunt aliqua put a bird on it squid
                                    single-origin coffee nulla assumenda shoreditch et.
                                  </p>
                                </MDBCardBody>
                              </MDBCollapse>
                            </MDBCard>

                            <MDBCard className="mb-4">
                              <MDBCollapseHeader
                                onClick={this.toggleCollapse("collapse2")}
                                className="p-0 z-depth-1"
                                tag="h4"
                                tagClassName="text-uppercase white-text mb-0 d-flex justify-content-start align-items-center"
                              >
                              <div
                                  className="d-flex justify-content-center align-items-center mr-4"
                                  style={{ backgroundColor: "#fff", minWidth: "100px" }}
                                >
                                <MDBIcon
                                  icon="comment-alt"
                                  size="2x"
                                  className="m-3 black-text"
                                />
                                </div>
                                Item #2
                              </MDBCollapseHeader>

                              <MDBCollapse id="collapse2" isOpen={this.state.collapseID}>
                                <MDBCardBody className="rgba-black-light white-text z-depth-1">
                                  <p className="p-md-4 mb-0">
                                    Anim pariatur cliche reprehenderit, enim eiusmod high
                                    life accusamus terry richardson ad squid. 3 wolf moon
                                    officia aute, non cupidatat skateboard dolor brunch.
                                    Food truck quinoa nesciunt laborum eiusmod. Brunch 3
                                    wolf moon tempor, sunt aliqua put a bird on it squid
                                    single-origin coffee nulla assumenda shoreditch et.
                                  </p>
                                </MDBCardBody>
                              </MDBCollapse>
                            </MDBCard>

                            <MDBCard className="mb-4">
                              <MDBCollapseHeader
                                onClick={this.toggleCollapse("collapse3")}
                                className="p-0 z-depth-1"
                                tag="h4"
                                tagClassName="text-uppercase white-text mb-0 d-flex justify-content-start align-items-center"
                              >
                              <div
                                  className="d-flex justify-content-center align-items-center mr-4"
                                  style={{ backgroundColor: "#fff", minWidth: "100px" }}
                                >
                                <MDBIcon
                                  icon="cogs"
                                  size="2x"
                                  className="m-3 black-text"
                                />
                                </div>
                                Item #3
                              </MDBCollapseHeader>

                              <MDBCollapse id="collapse3" isOpen={this.state.collapseID}>
                                <MDBCardBody className="rgba-black-light white-text z-depth-1">
                                  <p className="p-md-4 mb-0">
                                    Anim pariatur cliche reprehenderit, enim eiusmod high
                                    life accusamus terry richardson ad squid. 3 wolf moon
                                    officia aute, non cupidatat skateboard dolor brunch.
                                    Food truck quinoa nesciunt laborum eiusmod. Brunch 3
                                    wolf moon tempor, sunt aliqua put a bird on it squid
                                    single-origin coffee nulla assumenda shoreditch et.
                                  </p>
                                </MDBCardBody>
                              </MDBCollapse>
                            </MDBCard>
                          </MDBContainer>
                        </MDBCol>
                      </MDBRow>
                    </div>
                  </MDBCard>
                </MDBContainer>
              );
            }
          }

          export default CollapsePage;
                
        
    

React Accordion - API

In this section you will find advanced information about the Accordion component. You will find out which modules are required, what are the possibilities of configuring the component, and what events and methods you can use in working with it.


Accordion import statement

In order to use Accordion component make sure you have imported proper module first.

        
            
          import {  MDBCollapse, MDBCollapseHeader } from "mdbreact";
        
        
    

MDBCollapse

The table below shows the configuration options of the MDBCollapse component.

Name Type Default Description Example
className String Adds custom classes <MDBCollapse className="myClass" ... />
isOpen Boolean false Defines should collapse item be opened or closed <MDBCollapse isOpen={true} ... />
delay Function Defines how many milliseconds the open/close event are delayed <MDBCollapse delay={{show: 2000, hide: 4000}} ... />
onOpened Function Defines the function which fires when Accordion has opened <MDBCollapse onOpened={() => console.log('hello')} ... />
onClosed Function Defines the function which fires when Accordion has closed <MDBCollapse onClosed={() => console.log('hello')} ... />

MDBCollapseHeader

The table below shows the configuration options of the MDBCollapseHeader component.

Name Type Default Description Example
tag String Specifies the custom tag for the MDBCollapseHeader component <MDBCollapseHeader tag="div" ... />
className String Adds custom classes <MDBCollapseHeader className="myClass" ... />
tagClassName String Adds custom classes to the inner tag element <MDBCollapseHeader tagClassName="myClass" ... />